package shukan;

import javax.swing.*;
import javax.swing.border.LineBorder;
import java.awt.*;

/** Barre d'outils de Shukan */
public class ShukanViewBar extends JPanel {

    /** Noms des fichiers d'images pour les boutons de la barre d'outils */
    private String[] imagesName = {"save", "back", "plus", "delete", "left", "right","semes","export", "parameter"};
    /** Boutons de la barre d'outils */
    protected JButton buttons[] = new JButton[9];
    /** Extension des images */
    private String imagesExtension = ".png";
    /** Hauteur en pixels de la barre d'outils */
    private int height;
    /** Barre contenant tous les boutons */
    private JPanel p_left, p_right;

    /** Construit la barre d'outils */
    public ShukanViewBar(int height) {
        p_left = new JPanel();
        p_right = new JPanel();

        this.height = height;

        for (int i = 0; i < imagesName.length; i++) {
            buttons[i] = new JButton("", new ImageIcon("data/images/" + imagesName[i] + imagesExtension));
            buttons[i].setPreferredSize(new Dimension(85, 85));
            buttons[i].setBackground(Color.WHITE);
            buttons[i].setBorder(new LineBorder(Color.WHITE));

            if (i < imagesName.length - 3)
                p_left.add(buttons[i]);
            else
                p_right.add(buttons[i]);
        }

        p_left.setBackground(Color.WHITE);
        p_right.setBackground(Color.WHITE);

        setLayout(new BorderLayout());
        add(p_left, BorderLayout.WEST);
        add(p_right, BorderLayout.EAST);

        setBackground(Color.WHITE);
    }

    /** Retourne la hauteur de la barre d'outils en pixels */
    public int getHeight() {
        return height;
    }

    /** Ajoute les actions pour les différents boutons */
    public void addActionListener(ShukanController controller) {
        for (int i = 0; i < imagesName.length; i++) {
            buttons[i].addActionListener(controller);
        }
    }
}
